'\"
'\" Copyright 1993 D.I.S. \- Universita` di Pavia \- Italy
'\"
'\" Permission to  use,  copy,   modify,   distribute  this  software
'\" and  its  documentation for any purpose is hereby granted without
'\" fee, provided that the above copyright  notice   appear   in  all
'\" copies   and  that both that copyright notice and this permission
'\" notice appear in supporting documentation, and that the  name  of
'\" D.I.S.   not  be  used  in advertising or publicity pertaining to
'\" distribution of the software without specific, written prior per\-
'\" mission.   D.I.S.  makes no representations about the suitability
'\" of this software for any purpose.  It is provided "as is" without
'\" express or implied warranty.
'\"
'\" D.I.S. DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, IN\-
'\" CLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN
'\" NO EVENT SHALL D.I.S.  BE LIABLE FOR  ANY  SPECIAL,  INDIRECT  OR
'\" CONSEQUENTIAL  DAMAGES  OR  ANY DAMAGES WHATSOEVER RESULTING FROM
'\" LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION  OF  CONTRACT,
'\" NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNEC\-
'\" TION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
'\"
'\" Derived from the original wish man page.
'\"
'\" Copyright 1991 Regents of the University of California
'\" Permission to use, copy, modify, and distribute this
'\" documentation for any purpose and without fee is hereby
'\" granted, provided that this notice appears in all copies.
'\" The University of California makes no representations about
'\" the suitability of this material for any purpose.  It is
'\" provided "as is" without express or implied warranty.
.TH dwish 1 "26 June 1993" "Shells"
.SH "NAME"
.LP
dwish \- windowing shell with dynamic extension loading
.SH "SYNOPSIS"
.LP
\fBdwish\fP ?\fIoptions\fP?
.SH "OPTIONS"
.LP
.IP "\fB\-display\fP \fIdisplay\fP"
Display (and screen) on which to display window.
.IP "\fB\-file\fP \fIfileName\fP"
Read commands from \fIfileName\fP rather than standard input.  The
last element in \fIfileName\fP will be used as the title for the
application and name of its interpreter for \fBsend\fP
commands (unless overridden by the \fB\-name\fP option).
.IP "\fB\-geometry\fP \fIgeometry\fP"
Initial geometry to use for window.
.IP "\fB\-name\fP \fIname\fP"
Use \fIname\fP as the title to be displayed in the window, and
as the name of the interpreter for \fBsend\fP commands.
.IP "\fB\-sync\fP"
Execute all X server commands synchronously, so that errors
are reported immediately.  This will result in much slower
execution, but it is useful for debugging.
.IP "\fB\-help\fP"
Print a summary of the command\-line options and exit.
.SH "DESCRIPTION"
.LP
\fBDwish\fP is a simple program consisting of the Tcl command
language, the Tk toolkit, and a main program that reads commands
from standard input or from a file.  If \fBdwish\fP is invoked
with no arguments, it creates a small window and reads Tcl commands
interactively from standard input.  It will continue processing
commands until all windows have been deleted or until end\-of\-file
is reached on standard input.  
.LP
If the \fB\-file\fP option is provided to Tk, then it reads Tcl
commands from the file named in the \fB\-file\fP option.  These
commands will normally create an interactive interface consisting
of one or more widgets.  When the end of the command file is
reached, \fBdwish\fP will continue to respond to X events until
all windows have been deleted.
.LP
In addition to those already provided by the Tcl and Tk libraries
the \fBdwish\fP program defines the \fBload\fP command to supports loading
of extension libraries at run\-time.
.LP
Initialization functions in dynamically loadable extension libraries may
also use the additional function \fITk_MainWindow\fP() to retrieve the
structure for the application main window, needed to create new widgets
factory.
.SH "SEE ALSO"
.LP
\fBdtcl\fP(1), \fBload\fP(3), \fBTk_MainWindow\fP(3)
